///File : MainPanel.hpp
//------------------------------------------------------------------------------
/*
    This file is part of HangMan.

    HangMan is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    HangMan is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HangMan.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/vscroll.h>
#include <wx/event.h>
#include <wx/stdpaths.h>
#include <wx/statline.h>
#include <wx/listctrl.h>

#include <vector>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "findFile.hpp"
#include "AppConfig.hpp"
#include "HangMan.hpp"
//------------------------------------------------------------------------------

#define LETTERS_NB 26

#if not defined MAIN_PANEL_HPP_LETTER_GAMES
#define MAIN_PANEL_HPP_LETTER_GAMES

struct product
{
    wxString name;
    float price;
};

class MainPanel : public wxPanel
{
public:
    MainPanel(wxWindow* parent, wxWindowID id, HangMan *hangMan, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL );

    void MyRefresh();
    void NewWord();
    void SetFocusToFirstLetter();
    void OnLetterBt(wxCommandEvent& event);
    void OnNewWordBt(wxCommandEvent& event);
    void OnKeyPress(wxKeyEvent& event);
    void ResizeWord();

private:
    wxStaticText *m_CurrentWord, *m_Score, *m_CommentsLabel;

    wxButton *m_LettersTbl[LETTERS_NB], *m_NewWordBt;

    wxImage m_HangManImgTbl[HANGMAN_NB_CHANCE + 1];

    wxStaticBitmap *m_HangManImg;

    HangMan *m_HangMan;

    int m_currentImgId;
};

#endif //MAIN_PANEL_HPP_LETTER_GAMES
