///File : MainFrame.hpp
//------------------------------------------------------------------------------
/*
    This file is part of LongestWord.

    LongestWord is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    LongestWord is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with LongestWord.  If not, see <http://www.gnu.org/licenses/>.
*/
#if not defined MAIN_FRAME_HPP_LETTER_GAMES
#define MAIN_FRAME_HPP_LETTER_GAMES

//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/print.h>
#include <wx/html/helpctrl.h>
#include <wx/stdpaths.h>
//------------------------------------------------------------------------------
#include "findFile.hpp"
#include "LongestWord.hpp"
#include "MainPanel.hpp"
#include "DialogAbout.hpp"
#include "AppConfig.hpp"
//------------------------------------------------------------------------------

class MainFrame : public wxFrame
{
public:
    MainFrame(LongestWord *hangMan, const wxString& title, const wxPoint& pos, const wxSize& size, long style = wxDEFAULT_FRAME_STYLE);
    void OnQuit(wxCommandEvent& event);
    void OnMenuItemsLanguageList(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);
    void OnNew(wxCommandEvent& event);

protected:
    MainPanel *m_MainPanel;

    wxMenuItem *m_MenuItemClose;

    std::vector<wxMenuItem*> m_MenuItemsLanguageList;

    wxMenuBar *m_MenuBar;

    LongestWord *m_LongestWord;

    enum{Id_MenuItemsLanguageList};
};

#endif //MAIN_FRAME_HPP_LETTER_GAMES
